# $Revision: 1.17 $, $Date: 2004/04/12 23:38:07 $
#
# NOTE: rat (rat.spec) also contains ucl-common code, sometimes newer
#       than released separately - so check for ucl-common updates
#       when updating rat
#
Summary:	UCL Common Code Library
Summary(pl):	Biblioteka wsplnego kodu UCL
Name:		ucl-common
%define	basever	1.2.14
Version:	1.2.16
Release:	3
License:	custom
Group:		Libraries
Source0:	http://www-mice.cs.ucl.ac.uk/multimedia/software/common/common-%{basever}.tar.gz
# Source0-md5:	73f6b1feb2e0223bfcc196657d1979c0
# update from rat-4.2.25
Patch0:		%{name}-%{version}.patch
Patch1:		%{name}-shared.patch
Patch2:		%{name}-acfix.patch
Patch3:		%{name}-types.patch
URL:		http://www-mice.cs.ucl.ac.uk/multimedia/software/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk-doc
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/ucl

%description
Routines common to a number of multimedia tools. The library
originates from work on the RAT project: these are portions that are
not directly related to an audio tool and potentially useful
elsewhere.

%description -l pl
Procedury uywane przez kilka narzdzi multimedialnych. Biblioteka ta
wywodzi si z prac nad projektem RAT, ale jej czsci nie s zwizane
wycznie z narzdziami do dwiku i mog by przydatne do innych
celw.

%package devel
Summary:	Header files for UCL Common Code Library
Summary(pl):	Pliki nagwkowe do biblioteki wsplnego kodu UCL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for UCL Common Code Library.

%description devel -l pl
Pliki nagwkowe biblioteki wsplnego kodu UCL.

%package static
Summary:	UCL Common Code static library
Summary(pl):	Statyczna biblioteka wsplnego kodu UCL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
UCL Common Code static library.

%description static -l pl
Statyczna biblioteka wsplnego kodu UCL.

%prep
%setup -qn common-%{basever}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/config.* .
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C src install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf doc/html/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT* MODS* README* src/README.qfdes
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc doc/html
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ucl-common.spec,v $
Revision 1.17  2004/04/12 23:38:07  qboosh
- more fixes in types patch, release 3

Revision 1.16  2004/04/12 21:05:24  qboosh
- added types patch (needed on sparc); release 2

Revision 1.15  2004/04/12 20:50:06  qboosh
- updated to 1.2.16 using diff from rat-4.2.25 sources, updated shared patch

Revision 1.14  2004/04/11 12:34:13  qboosh
- strict internal deps

Revision 1.13  2003/05/28 13:02:25  malekith
- massive attack: source-md5

Revision 1.12  2003/05/25 06:27:31  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/05/09 23:48:14  qboosh
- updated to 1.2.14 (now it's newer than ucl-common in rat)
- removed obsolete gcc3 patch, updated shared patch, added acfix patch

Revision 1.10  2003/04/19 22:02:14  qboosh
- updated comment

Revision 1.9  2003/04/16 22:22:20  qboosh
- updated to 1.2.8
- removed obsolete time_h patch, added gcc3 patch
- build as shared library (using shared patch)

Revision 1.8  2002/11/30 23:00:29  juandon
- new %%doc

Revision 1.7  2002/03/27 11:01:27  roman
s/Custom/custom in License

Revision 1.6  2002/02/22 23:29:49  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/12/19 14:42:34  qboosh
- adapterized, pl summaries

Revision 1.3  2001/11/14 11:48:14  filon
- changed to %%configure2_13, to make it build

Revision 1.2  2001/06/17 09:10:57  jajcus
- comment telling that this spec is obsoleted now (but may be needed someday again)

Revision 1.1  2001/06/13 13:09:19  jajcus
- initial spec; needed for some multicast multimedia utilities
